require 'thor/group'

module SurveyConstructor
  module Generators
    class Models < Thor::Group
      include Thor::Actions

      def self.source_root
        File.dirname(__FILE__) + "/templates"
      end
      def copy_models
        directory( File.dirname(__FILE__) + "/templates/migrate" ,  "./db/migrate")
        directory( File.dirname(__FILE__) + "/templates/models" ,  "./app/models")
        run('rails db:create')
        run('rails db:migrate')
      end

      
    end
  end
end