class Survey < ApplicationRecord
    has_paper_trail
    has_many :platform_surveys, dependent: :destroy
    has_many :platform, through: :platform_surveys
    has_many :questions, dependent: :destroy
    has_many :survey_responses, dependent: :destroy
    has_many :patients#, through: :survey_responses
    validates_presence_of :title, :description
    accepts_nested_attributes_for :questions, allow_destroy: true   
end
